Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2013-02-26 01:45:45 +0000
committerDavid Williams2013-02-26 01:45:45 +0000
commitbd84b45c8aea757a9a0eab5bf1645a3f4aa35443 (patch)
tree6f87eec596541d7465c22b5f7f1a0f7fc95ced97 /production/pom-version-updater.sh
parent5ec998428e3bcde15e81c5192cab0cd4c619dcec (diff)
downloadeclipse.platform.releng.aggregator-bd84b45c8aea757a9a0eab5bf1645a3f4aa35443.tar.gz
eclipse.platform.releng.aggregator-bd84b45c8aea757a9a0eab5bf1645a3f4aa35443.tar.xz
eclipse.platform.releng.aggregator-bd84b45c8aea757a9a0eab5bf1645a3f4aa35443.zip
[releng] improve error checking
Diffstat (limited to 'production/pom-version-updater.sh')
-rwxr-xr-x[-rw-r--r--]production/pom-version-updater.sh21
1 files changed, 15 insertions, 6 deletions
diff --git a/production/pom-version-updater.sh b/production/pom-version-updater.sh
index aebd2bcb7..5d5df6290 100644..100755
--- a/production/pom-version-updater.sh
+++ b/production/pom-version-updater.sh
@@ -2,14 +2,14 @@
#
if [ $# -ne 1 ]; then
- echo USAGE: $0 env_file
- exit 1
+ echo USAGE: $0 env_file
+ exit 1
fi
if [ ! -r "$1" ]; then
- echo "$1" cannot be read
- echo USAGE: $0 env_file
- exit 1
+ echo "$1" cannot be read
+ echo USAGE: $0 env_file
+ exit 1
fi
pushd $( dirname $0 ) >/dev/null
@@ -29,9 +29,18 @@ aggDir=$( fn-git-dir "$gitCache" "$AGGREGATOR_REPO" )
buildDirectory=$( fn-build-dir "$BUILD_ROOT" "$BRANCH" "$BUILD_ID" "$STREAM" )
if [ -z "$BUILD_ID" ]; then
- BUILD_ID=$(fn-build-id "$BUILD_TYPE" )
+ BUILD_ID=$(fn-build-id "$BUILD_TYPE" )
fi
fn-pom-version-updater "$aggDir" "$LOCAL_REPO"
+RC=$?
+if [[ $RC != 0 ]]
+then
+ buildDirectory=$( fn-build-dir "$BUILD_ROOT" "$BRANCH" "$BUILD_ID" "$STREAM" )
+ # create as "indicator file" ... gets filled in more once there is a log to grep
+ touch "${buildDirectory}/buildFailed-pom-version-updater"
+ echo "ERROR: fn-pom-version-updator returned non-zero return code: $RC"
+ exit $RC1
+fi
fn-pom-version-report "$BUILD_ID" "$aggDir" "$buildDirectory"

Back to the top